For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList knowledge bases
      • GETGet a knowledge base
      • POSTCreate a knowledge base
      • PUTUpdate a knowledge base
      • DELDelete a knowledge base
      • POSTAttach a knowledge base
      • POSTDetach a knowledge base
      • GETList knowledge base sources
      • POSTAdd a knowledge base source
      • PUTUpdate a knowledge base source
      • DELDelete a knowledge base source
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIKnowledge Bases

Detach a knowledge base

||View as Markdown|
POST
/knowledge_base/:knowledge_base_id/detach
POST
/v2/knowledge_base/:knowledge_base_id/detach
$curl -X POST https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460/detach \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model_id": "1738862886874x680573723187741300"
>}'
200Successful
1{
2 "status": "success",
3 "response": {
4 "body": "Knowledge Base detached",
5 "model_id": "1738862886874x680573723187741300"
6 }
7}
Was this page helpful?
Previous

List knowledge base sources

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

knowledge_base_idstringRequired
Knowledge base ID.

Request

This endpoint expects an object.
model_idstringRequired
id of an agent from which knowledge base needs to be detached

Response

200
statusstring
responseobject